<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPersonResult StructType
 * @subpackage Structs
 */
class GetPersonResult extends ExecutionResult
{
    /**
     * The Persons
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPersonResult
     */
    public $Persons;
    /**
     * Constructor method for GetPersonResult
     * @uses GetPersonResult::setPersons()
     * @param \ArrayType\ArrayOfPersonResult $persons
     */
    public function __construct(\ArrayType\ArrayOfPersonResult $persons = null)
    {
        $this
            ->setPersons($persons);
    }
    /**
     * Get Persons value
     * @return \ArrayType\ArrayOfPersonResult|null
     */
    public function getPersons()
    {
        return $this->Persons;
    }
    /**
     * Set Persons value
     * @param \ArrayType\ArrayOfPersonResult $persons
     * @return \StructType\GetPersonResult
     */
    public function setPersons(\ArrayType\ArrayOfPersonResult $persons = null)
    {
        $this->Persons = $persons;
        return $this;
    }
}
